<template>
  <div id="echartsBox" style="width: 100%; height: 400px" ref="box"></div>
</template>
  <script>
import * as echarts from 'echarts'
var MothChart
export default {
  name: 'MothEchart',
  data() {
    return {}
  },
  methods: {
    mothEcharts(typeList, countList) {
      let xAxis = []
      let yAxis = []
      xAxis = typeList
      yAxis = countList
      console.log(MothChart)
      if (MothChart != null && MothChart != '' && MothChart != undefined) {
        MothChart.dispose() //销毁
      }
      let chartDom = document.getElementById('echartsBox')
      MothChart = echarts.init(chartDom)
      let option = {
        title: [
          {
            left: 'left',
            // 标题
            text: `设备状态统计`,
            textStyle: {
              fontSize: 16,
              fontWeight: 'bold',
              color: '#409eff',
            },
          },
        ],
        tooltip: {},
        xAxis: {
          data: xAxis,
        },
        yAxis: {
          type: 'value',
        },
        series: [
          {
            name: '设备状态统计次数',
            type: 'bar', // 类型为柱状图
            data: yAxis,
            barWidth: '20%', // 柱条宽度 每个柱条的宽度就是类目宽度的 20%
            // 柱子的样式
            itemStyle: {
              color: '#5574c2',
            },
          },
        ],
      }
      option && MothChart.setOption(option)
      window.addEventListener('resize', () => {
        MothChart.resize()
      })
    },
  },
}
</script>